org.richfaces.component.html

## Class HtmlGmap

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIGmap
      - - org.richfaces.component.html.HtmlGmap

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class HtmlGmap
      extends UIGmap

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlGmap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEnableContinuousZoom()`
    `java.lang.String` | `getEnableDoubleClickZoom()`
    `java.lang.String` | `getEnableDragging()`
    `java.lang.String` | `getEnableInfoWindow()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getGmapKey()`
    `java.lang.String` | `getGmapVar()`
    `java.lang.String` | `getLat()`
    `java.lang.String` | `getLng()`
    `java.lang.Object` | `getLocale()`
    `java.lang.String` | `getMapType()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOninit()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getShowGLargeMapControl()`
    `java.lang.String` | `getShowGMapTypeControl()`
    `java.lang.String` | `getShowGScaleControl()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getWarningMessage()`
    `java.lang.String` | `getZoom()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setEnableContinuousZoom(java.lang.String _enableContinuousZoom)`
    `void` | `setEnableDoubleClickZoom(java.lang.String _enableDoubleClickZoom)`
    `void` | `setEnableDragging(java.lang.String _enableDragging)`
    `void` | `setEnableInfoWindow(java.lang.String _enableInfoWindow)`
    `void` | `setGmapKey(java.lang.String _gmapKey)`
    `void` | `setGmapVar(java.lang.String _gmapVar)`
    `void` | `setLat(java.lang.String _lat)`
    `void` | `setLng(java.lang.String _lng)`
    `void` | `setLocale(java.lang.Object _locale)`
    `void` | `setMapType(java.lang.String _mapType)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOninit(java.lang.String _oninit)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setShowGLargeMapControl(java.lang.String _showGLargeMapControl)`
    `void` | `setShowGMapTypeControl(java.lang.String _showGMapTypeControl)`
    `void` | `setShowGScaleControl(java.lang.String _showGScaleControl)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setWarningMessage(java.lang.String _warningMessage)`
    `void` | `setZoom(java.lang.String _zoom)`

    - ### Methods inherited from class org.richfaces.component.UIGmap

      `getDefaultLocale`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlGmap

          public HtmlGmap()

  - ### Method Detail

    - #### getEnableContinuousZoom

          public java.lang.String getEnableContinuousZoom()

    - #### setEnableContinuousZoom

          public void setEnableContinuousZoom(java.lang.String _enableContinuousZoom)

    - #### getEnableDoubleClickZoom

          public java.lang.String getEnableDoubleClickZoom()

    - #### setEnableDoubleClickZoom

          public void setEnableDoubleClickZoom(java.lang.String _enableDoubleClickZoom)

    - #### getEnableDragging

          public java.lang.String getEnableDragging()

    - #### setEnableDragging

          public void setEnableDragging(java.lang.String _enableDragging)

    - #### getEnableInfoWindow

          public java.lang.String getEnableInfoWindow()

    - #### setEnableInfoWindow

          public void setEnableInfoWindow(java.lang.String _enableInfoWindow)

    - #### getGmapKey

          public java.lang.String getGmapKey()

    - #### setGmapKey

          public void setGmapKey(java.lang.String _gmapKey)

    - #### getGmapVar

          public java.lang.String getGmapVar()

    - #### setGmapVar

          public void setGmapVar(java.lang.String _gmapVar)

    - #### getLat

          public java.lang.String getLat()

    - #### setLat

          public void setLat(java.lang.String _lat)

    - #### getLng

          public java.lang.String getLng()

    - #### setLng

          public void setLng(java.lang.String _lng)

    - #### getLocale

          public java.lang.Object getLocale()

    - #### setLocale

          public void setLocale(java.lang.Object _locale)

    - #### getMapType

          public java.lang.String getMapType()

    - #### setMapType

          public void setMapType(java.lang.String _mapType)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOninit

          public java.lang.String getOninit()

    - #### setOninit

          public void setOninit(java.lang.String _oninit)

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getShowGLargeMapControl

          public java.lang.String getShowGLargeMapControl()

    - #### setShowGLargeMapControl

          public void setShowGLargeMapControl(java.lang.String _showGLargeMapControl)

    - #### getShowGMapTypeControl

          public java.lang.String getShowGMapTypeControl()

    - #### setShowGMapTypeControl

          public void setShowGMapTypeControl(java.lang.String _showGMapTypeControl)

    - #### getShowGScaleControl

          public java.lang.String getShowGScaleControl()

    - #### setShowGScaleControl

          public void setShowGScaleControl(java.lang.String _showGScaleControl)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getWarningMessage

          public java.lang.String getWarningMessage()

    - #### setWarningMessage

          public void setWarningMessage(java.lang.String _warningMessage)

    - #### getZoom

          public java.lang.String getZoom()

    - #### setZoom

          public void setZoom(java.lang.String _zoom)

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

Copyright © 2014. All Rights Reserved.